# Neofetch 1.6


### Contributers

Thanks to the following people for contributing this release.

- **[@iandrewt](https://github.com/iandrewt)**
- **[@dawidd6](https://github.com/dawidd6)**
- **[@onodera-punpun](https://github.com/onodera-punpun)**

### General

- Fixed buggy colors in older versions of \*BSD, OS X and Linux.
- Added Travis CI support.
- Added `--test` which prints all functions.

### Info

**OS**<br \>
- [ CRUX ] Also print the CRUX version. **[@onodera-punpun](https://github.com/onodera-punpun)**

**CPU**<br \>
- [ Windows ] Don't print CPU cores if detection fails.
- [ BSD ] Fixed extremely long output.

**GPU**<br \>
- Don't show GPU output on unsupported OS.

**Battery**<br \>
- Show charging state in battery output. **[@dawidd6](https://github.com/dawidd6)** and **[@iandrewt](https://github.com/iandrewt)**

**Resolution**<br \>
- [ Windows ] Don't print resolution if detection fails.
- [ Linux / OSX / BSD ] Print refresh rate next to resolutions.
- [ Linux ] Multi monitor support.

**Public IP**<br \>
- Made public IP function faster by using `dig` if available. **[@iandrewt](https://github.com/iandrewt)**

**Song**<br \>
- [ MPD ] Fixed function when mpd is running on another PC and not your own.
- Added support for Google Play Music Desktop Player (adds optional dependency of [`gpmdp-bash`](https://github.com/iandrewt/gpmdp-bash)) **[@iandrewt](https://github.com/iandrewt)**

**Disk**<br \>
- Added new display option `perc` to display just the percentage with the progress bar.

**Memory**<br \>
- [ OpenBSD ] Fixed completely broken memory output on OpenBSD.

**Uptime**<br \>
- [ OSX / BSD ] Performance improvements. **[@iandrewt](https://github.com/iandrewt)**
- [ OpenBSD ] Fixed duplicate `up` in output.


### Image

- Remove `shuffledir` in favor of '--image path/to/dir/'
- Use `printf` instead of `shuf` to pick a random image.


### Ascii

- Added ascii art for Qubes OS.
- Revamped Alpine Linux's ascii art.
- [ OSX ] Fixed incorrect text colors.


### Scrot
- Fixed scrot function not using user defined options.
